//-----------------------------------------------------------
// This is the same as a normal MasterServerGameStats, except
// all local logging features are disabled. This class is
// spawned by OLStats. All statlogging lines are passed here
// before OLStats messes with them. This should minimize
// conflict with global stat logging.
//-----------------------------------------------------------
class OLMasterServerGameStats extends MasterServerGameStats;

function Init()
{
/*
    if (bLocalLog)
    {
        TempLog = spawn(class 'FileLog');
        if (TempLog != None)
        {
            TempLog.OpenLog(GetLogFilename());
        }
        else {
            Warn("Could not create output file");
        }
    }
*/

    Log("MasterServerGameStats initializing");
}
function Shutdown()
{
//    if (TempLog!=None)
//        TempLog.Destroy();
}
function Logf(string LogString)
{
//    if (TempLog!=None)
//        TempLog.Logf(LogString);

    if( Uplink == None )
    {
        // Log("Couldn't log stat line as MasterServerUplink was not found >>"$LogString$"<<");
    }
    else
    if( !Uplink.LogStatLine(LogString) )        // If master server rejects stats for us, disconnect from the Uplink actor.
        Uplink = None;
}

DefaultProperties
{

}
