//-----------------------------------------------------------
// This is the parent class of any "helper" classes to be
// compatable with specific mutators.  The helper class is
// dynamically loaded from a string, that way OLStats.u does
// not require the mutator...
//
// This class does not do anything by itself.  The helper
// classes must override the functions.
//-----------------------------------------------------------
class OLStatsHelpers extends Info;

function Weapon RPGGetRealWeapon(Weapon RPGWeapon)
{
    return RPGWeapon;
}

function string RPGGetRealPickup(Pickup RPGPickup)
{
    return string(RPGPickup.class);
}

function class<Weapon> RPGGetLastWeapon(Controller Other)
{
    return Other.LastPawnWeapon;
}

DefaultProperties
{

}
